Page 1 of 1

CAN SOMEONE HELP ME ASAP PLEASE, I'M STUCK !

Posted: Sun Jan 21, 2007 7:15 pm
by robertkelly
I have just downloaded the Blender 2.42a software to hopefully start designing.

Every time I start it up a box pops up with the following message:-

Compiled with Python version 2.4.
'import site' failed; use -v for traceback
Checking for installed Python... No installed Python found.
Only built-in modules are available. Some scripts may not run.
Continuing happily.

How do I install the necessary Python to make this message stop popping up ?

Can anyone help asap PLEAAAAAAAAASE.

Posted: Sun Jan 21, 2007 7:50 pm
by stiv
Either
a) don't worry about it. Python is not necessary to run Blender.
b) go to www.python.org and get python for your platform

Posted: Sun Jan 21, 2007 9:10 pm
by robertkelly
Ok thanks very much, well appreciated !

Posted: Sat Jan 27, 2007 1:20 am
by ochensati
I have the same problem, only I need python. I have downloaded version 2.5 of python and installed it on my windows machine, and cannot access any of the scripts, getting the same error.

I have also installed the latest version on my ubuntu box and cannot access the scripts on that machine either. Anyone have a solution to this problem. Maybe there is an enviroment variable that is not being correctly set?

Posted: Sat Jan 27, 2007 1:52 am
by stiv
I have the same problem, only I need python. I have downloaded version 2.5 of python and installed it on my windows machine, and cannot access any of the scripts, getting the same error.
Step 1) Read the startup message. It will look like this:
Compiled with Python version 2.4.
'import site' failed.......

Step 2) Install the version of Python named in the startup message.

Posted: Wed Jan 31, 2007 8:11 pm
by ascotan
ochensati wrote: I have downloaded version 2.5 of python and installed it on my windows machine
Compiled with Python version 2.4.
'import site' failed.......


Hmm.....

Posted: Thu Feb 01, 2007 3:38 am
by LetterRip
stivs perhaps we can be more verbose?

"If you would like to get rid of the import site failed message, please download and install version 'version' of python from python.org"

LetterRip